Subject: Re: [PATCH 3/4] dt-bindings: usb: add CIX Sky1 Cadence USB3 controller

From: Peter Chen <[email-masked]>
Date: Mon, 18 May 2026 15:02:17 +0800

On 26-05-15 13:18:53, Krzysztof Kozlowski wrote:
> EXTERNAL EMAIL
> 
> On 15/05/2026 12:25, Peter Chen wrote:
> > On 26-05-15 09:54:10, Krzysztof Kozlowski wrote:
> >> EXTERNAL EMAIL
> >>
> >> On Mon, May 11, 2026 at 10:42:43AM +0800, Peter Chen wrote:
> >>> Add a binding for the CIX Sky1 integration of the Cadence USBSSP DRD
> >>> controller. The schema documents the glue register window, clocks,
> >>> resets, interrupts and S5 system controller phandle.
> >>>
> >>> Signed-off-by: Peter Chen <[email-masked]>
> >>> ---
> >>>  .../bindings/usb/cix,sky1-cdns3.yaml          | 151 ++++++++++++++++++
> >>
> >> Why are you mixing USB patches with DTS in one patchset? Don't.
> >
> > In this series, the 1st patch is the IP core driver changes (export APIs for glue layer
> > use), and the second glue layer patch is the user for new adding APIs.
> 
> 
> Not really answer to my question. Why is DTS here? It has nothing to do
> with 1st patch, second patch or this one.
> 

Per submitting-patches.rst I.7, the DTS was placed at the end of the
series so either maintainer can apply their portion. That said, if
you prefer I can split it into a separate series, I have no strong
option.

-- 

Best regards,
Peter